# Uses of Class
org.stianloader.picoresolve.DependencyLayer

Packages that use DependencyLayer
Package
Description
org.stianloader.picoresolve

## Uses of DependencyLayer in org.stianloader.picoresolve

Fields in org.stianloader.picoresolve declared as DependencyLayer
Modifier and Type
Field
Description
`final @Nullable DependencyLayer`
DependencyLayer.`parent`
Methods in org.stianloader.picoresolve that return DependencyLayer
Modifier and Type
Method
Description
`static @NotNull DependencyLayer`
DependencyLayer.`createLayerFor(@NotNull GAV rootNode, @NotNull GAV @NotNull ... dependencies)`
Create a new `DependencyLayer` with the given `GAV` as the root node.
`@Nullable DependencyLayer`
DependencyLayer.`getChild()`
`@NotNull DependencyLayer`
DependencyLayer.DependencyLayerElement.`getLayer()`
Methods in org.stianloader.picoresolve that return types with arguments of type DependencyLayer
Modifier and Type
Method
Description
`@NotNull CompletableFuture<DependencyLayer>`
MavenResolver.`resolveChildLayer(@NotNull DependencyLayer current, @NotNull Executor executor)`
Methods in org.stianloader.picoresolve with parameters of type DependencyLayer
Modifier and Type
Method
Description
`@NotNull CompletableFuture<Void>`
MavenResolver.`resolveAllChildren(@NotNull DependencyLayer current, @NotNull Executor executor)`
Resolve a given `DependencyLayer` and all its children recursively.
`@NotNull CompletableFuture<DependencyLayer>`
MavenResolver.`resolveChildLayer(@NotNull DependencyLayer current, @NotNull Executor executor)`
Constructors in org.stianloader.picoresolve with parameters of type DependencyLayer
Modifier
Constructor
Description
``
`DependencyLayer(@Nullable DependencyLayer parent, @NotNull List<@NotNull DependencyLayer.DependencyLayerElement> elements)`